Bug 1939718 - open-vm-tools: FTBFS in Fedora rawhide/f35 + f34
Summary: open-vm-tools: FTBFS in Fedora rawhide/f35 + f34
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: open-vm-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ravindra Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FTBFS F35FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-03-16 21:29 UTC by Neal Gompa
Modified: 2021-03-29 01:11 UTC (History)
3 users (show)

Fixed In Version: open-vm-tools-11.2.5-5.fc35 open-vm-tools-11.2.5-5.eln110 open-vm-tools-11.2.5-5.fc33 open-vm-tools-11.2.5-5.fc34 open-vm-tools-11.2.5-5.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-20 03:45:22 UTC
Type: Bug


Attachments (Terms of Use)
build.log (1.31 MB, text/plain)
2021-03-16 21:32 UTC, Neal Gompa
no flags Details
root.log (161.72 KB, text/plain)
2021-03-16 21:33 UTC, Neal Gompa
no flags Details
state.log (1005 bytes, text/plain)
2021-03-16 21:33 UTC, Neal Gompa
no flags Details

Description Neal Gompa 2021-03-16 21:29:24 UTC
open-vm-tools failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=62960149

Please fix open-vm-tools at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
open-vm-tools will be orphaned. Before branching of Fedora 35,
open-vm-tools will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Neal Gompa 2021-03-16 21:32:06 UTC
Created attachment 1763821 [details]
build.log

Comment 2 Neal Gompa 2021-03-16 21:33:29 UTC
Created attachment 1763822 [details]
root.log

Comment 3 Neal Gompa 2021-03-16 21:33:52 UTC
Created attachment 1763823 [details]
state.log

Comment 4 Neal Gompa 2021-03-16 21:35:37 UTC
This also fails when trying to build against Fedora 34 with the same output as on Rawhide currently, hence marking it as F34FTBFS.

Comment 5 Fedora Update System 2021-03-20 03:45:22 UTC
FEDORA-2021-be6dc9fb3b has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-03-20 03:54:22 UTC
FEDORA-2021-4490c09c63 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-03-20 04:27:45 UTC
FEDORA-2021-fad3a6c15f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-fad3a6c15f

Comment 8 Fedora Update System 2021-03-20 04:28:25 UTC
FEDORA-2021-2e8431cbf4 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-2e8431cbf4

Comment 9 Fedora Update System 2021-03-20 04:45:37 UTC
FEDORA-2021-c2e167026e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c2e167026e

Comment 10 Fedora Update System 2021-03-21 01:14:43 UTC
FEDORA-2021-c2e167026e has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c2e167026e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c2e167026e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-03-21 01:49:13 UTC
FEDORA-2021-2e8431cbf4 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-2e8431cbf4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-2e8431cbf4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-03-21 02:05:47 UTC
FEDORA-2021-fad3a6c15f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-fad3a6c15f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-fad3a6c15f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-03-22 01:04:11 UTC
FEDORA-2021-2e8431cbf4 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-03-22 02:09:24 UTC
FEDORA-2021-fad3a6c15f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-03-29 01:11:45 UTC
FEDORA-2021-c2e167026e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.